Name:		smbclient-cups-backend
Version:	0.00.1
Release:	%mkrel 1
License:	Freeware / Non-commercial
Packager:       Agent Smith  <ruidobranco@yahoo.com.br>
Group:		Networking/Other
URL:		http://willem.engen.nl/projects/cupssmb/
Source:		%{name}-%{version}.tar.xz
Summary:	%{name} is a backend for cups to access printers in a windows server
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	samba-client
Requires:	sed
Obsoletes:	%name < %version
AutoReqProv:    no

%description
%{name} enables PCLinuxOS to print in windows server's printers.
It uses SMBclient to create a backend, allowing interaction with printers that need an username / password to be acessed.
To properly function, there must be a file, named printing.auth, placed in /etc/samba
The file must be in the following format:
username = 
password = 
domain   = 
With the respective fields filled with the data needed to access the printer, as described here: 
http://willem.engen.nl/projects/cupssmb/

%prep

%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -pm 0755  %{buildroot}/usr/lib/cups/backend
cp smbc /%{buildroot}/usr/lib/cups/backend/


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(0755,root,root,0755)
/usr/lib/cups/backend/*


%changelog

* Wed Aug 21 2019  Agent Smith <ruidobranco@yahoo.com.br> %{name}-%{version}-1pclos2019.rpm
- Created  the package %{name}-%{version}-1pclos2019.noarch.rpm, with latest source.

